﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Camera/PlayerCameraManager.h"
#include "LMCameraManager.generated.h"

/**
 * 
 */
UCLASS()
class LEGUMEMIX_API ALMCameraManager : public APlayerCameraManager
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = Legumix, meta=(AllowPrivateAccess=true))
	float CrouchBlendDuration = 0.5f;
	float CrouchBlendTime = 0.f;

public:
	ALMCameraManager();

	virtual void UpdateViewTarget(FTViewTarget& OutVT, float DeltaTime) override;

};